Bug 13631 - Permission description wrong for catalogue and staffaccess
Summary: Permission description wrong for catalogue and staffaccess
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: David Cook
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-28 00:52 UTC by David Cook
Modified: 2018-12-03 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2015-01-28 00:52:39 UTC
At the moment, the description for "staffaccess" is "Required for staff login. Staff access, allows viewing of catalogue in staff client." 

However, this isn't true. This is true for the "catalogue" preference, which currently reads "View Catalog (Librarian Interface)".

I propose just creating better descriptions.
Comment 1 David Cook 2015-01-28 01:05:14 UTC
Oh no... we store the descriptions in the "userflags" and "permissions" tables.

This makes it a bit of a pain to update, and also makes it impossible to translate. Yikes!
Comment 2 David Cook 2015-01-28 02:43:11 UTC
So I'm working on using Template Toolkit BLOCKs instead of using the database for storing these description strings.

Ideally, it would be nice to store these in a separate file, but it looks like you can't process blocks from an external file without using the EXPOSE_BLOCKS => 1 option in the Template->new() constructor. 

So for now I guess I'll just keep the BLOCKs in member-flags.tt.
Comment 3 David Cook 2015-01-28 04:04:59 UTC
Figured out the BLOCK stuff on Bug 13632.

I'll wait to see what happens on Bug 13632 before fixing the descriptions here...
Comment 4 Katrin Fischer 2018-05-16 22:52:58 UTC
It looks like descriptions have been corrected in current versions of Koha:

(catalogue)  Required for staff login. Staff access, allows viewing of catalogue in staff client.
(staffaccess) Allow staff members to modify permissions for other staff members